FORMAT: 1A
HOST: https://nauchionline.ru/api/

# nauchionline.ru

Сервис курсов с человеческим api

## Авторизация [/checkToken]

Авторизация по api происходит через передачу токена одним из следующих способов


* Токен в header запроса ``` x-access-token: %token% ``` или ``` token: %token% ```
* Токен в get query запроса ``` .../api/...?token=%token% ```
* Токен в теле запроса ``` { "token": %token% }  ``` или в form-data



### Проверка валидности токена [POST]

+ Attributes
    + token: Строка токена (string) - Токен доступа

+ Request (application/json)

        {
            "token": %token%
        }
        
+ Response 200 (application/json)

        {
            "success": true,
            "stateNeeded": "none",
            "me": %currentUser%
        }

## Получение курсов [/author/getMyCourses]

Получение курсов